## survival 2.42-3

=== debian/changelog ===
survival (2.42-3-1xenial0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.4 LTS

 -- Michael Rutter <marutter@gmail.com>  Wed, 18 Apr 2018 23:51:31 +0000

survival (2.42-3-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/compat: Increase level to 9
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 Apr 2018 20:18:27 -0500

survival (2.41-3-2) unstable; urgency=medium

  * Rebuilt under R 3.4.0 to update registration for .C() and .Fortran()
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 29 Apr 2017 10:12:42 -0500

survival (2.41-3-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 04 Apr 2017 15:28:25 -0500

survival (2.41-2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Add Depends: on ${misc:Depends}

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 17 Mar 2017 19:39:51 -0500

survival (2.40-1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 31 Oct 2016 19:55:45 -0500

survival (2.39-5-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 26 Jun 2016 09:53:35 -0500

survival (2.39-4-2) unstable; urgency=medium

  * debian/compat: Created
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 26 Jun 2016 07:49:09 -0500

survival (2.39-4-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 13 May 2016 21:55:53 -0500

survival (2.39-3-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 09 May 2016 21:45:06 -0500

survival (2.39-2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Add new (Build-)Depends: r-cran-matrix

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 17 Apr 2016 09:43:21 -0500

survival (2.38-3-1) unstable; urgency=low

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 02 Jul 2015 04:06:27 -0500

survival (2.38-2-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 12 Jun 2015 07:03:07 -0500

survival (2.38-1-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 24 Feb 2015 07:01:45 -0600

survival (2.37-7-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 22 Jan 2014 14:24:35 -0600

survival (2.37-6-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 16 Jan 2014 22:51:45 -0600

survival (2.37-4-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 25 Mar 2013 21:37:43 -0500

survival (2.37-4-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 26 Feb 2013 20:19:00 -0600

survival (2.37-2-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 10 Dec 2012 15:20:12 -0600

survival (2.36-14-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 25 Apr 2012 17:36:50 -0500

survival (2.36-13-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 25 Apr 2012 07:41:58 -0500

survival (2.36-12-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 06 Feb 2012 17:16:10 -0600

survival (2.36-10-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 01 Oct 2011 07:52:01 -0500

survival (2.36-9-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 01 May 2011 06:31:19 -0500

survival (2.36-8-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 14 Apr 2011 16:37:09 -0500

survival (2.36-5-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 21 Feb 2011 13:33:28 -0600

survival (2.36-4-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 18 Feb 2011 14:56:54 -0600

survival (2.36-3-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 16 Feb 2011 07:36:51 -0600



=== debian/control ===
Source: survival
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.4.4), dh-r, r-cran-matrix
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/edd/r-cran-survival
Vcs-Git: https://salsa.debian.org/edd/r-cran-survival.git
Homepage: https://cran.r-project.org/package=survival

Package: r-cran-survival
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-matrix
Replaces: r-recommended (<< 1.9.0)
Description: GNU R package for survival analysis
 This package provides functions and datasets for survival analysis:
 descriptive statistics, two-sample tests, parametric accelerated failure 
 models, Cox model. Delayed entry (truncation) is allowed for all models; 
 interval censoring for parametric models.
 .
 This package is part of the set of packages that are 'recommended' 
 by R Core and shipped with upstream source releases of R itself.

## survival 2.42-3.1

=== DESCRIPTION ===
Title: Survival Analysis
Maintainer: Terry M Therneau <therneau.terry@mayo.edu>
Priority: recommended
Package: survival
Version: 2.42-3.1
Depends: R (>= 2.13.0)
Imports: graphics, Matrix, methods, splines, stats, utils
LazyData: Yes
LazyLoad: Yes
ByteCompile: Yes
Authors@R: c(person(c("Terry", "M"), "Therneau",
                    email="therneau.terry@mayo.edu",
	            role=c("aut", "cre")),
               person("Thomas", "Lumley", role=c("ctb", "trl"),
	       comment="original S->R port and R maintainer until 2009"))
Description: Contains the core survival analysis routines, including
	     definition of Surv objects, 
	     Kaplan-Meier and Aalen-Johansen (multi-state) curves, Cox models,
	     and parametric accelerated failure time models.
License: LGPL (>= 2)
URL: https://github.com/therneau/survival
NeedsCompilation: yes
Packaged: 2018-04-22 06:19:06 UTC; hornik
Author: Terry M Therneau [aut, cre],
  Thomas Lumley [ctb, trl] (original S->R port and R maintainer until
    2009)
Repository: CRAN
Date/Publication: 2018-04-24 10:17:49 UTC

=== noweb/Makefile ===
PARTS = main.Rnw \
	coxph.Rnw \
	exact.nw \
	agreg.Rnw \
	coxsurv.Rnw \
	coxsurv2.Rnw \
	finegray.Rnw \
	predict.coxph.Rnw \
	concordance.Rnw \
	survexp.Rnw \
	pyears.Rnw pyears2.Rnw \
	residuals.survreg.Rnw \
	survfit.Rnw \
	survfitCI.Rnw \
	msurv.nw \
	survfitms.Rnw \
	plot.Rnw \
	statefig.Rnw\
	tmerge.Rnw\
	yates.Rnw  yates2.Rnw\
	tail
#	coxdetail.nw

SFUN =  agreg.fit.R \
	agsurv.R \
	coxph.R \
	finegray.R \
	model.matrix.coxph.R \
	plot.survfit.R \
	predict.coxph.R \
	pyears.R \
	print.pyears.R \
	residuals.survreg.R\
	statefig.R \
	survConcordance.R \
	survConcordance.fit.R \
	survexp.R \
	survfit.R \
	survfitCI.R \
	survfit.coxph.R \
	survfitcoxph.fit.R \
	survfitms.R\
	tmerge.R \
	yates.R

CFUN =  agsurv4.c agsurv5.c concordance1.c coxcount1.c \
	agfit4.c \
        coxexact.c \
	survfitci.c 
#	coxdetail2.c

RDIR = ../R
RFUN = $(SFUN:%=$(RDIR)/%)
CFUN2= $(CFUN:%=../src/%)
DOCDIR= ../inst/doc

all:  noweb.sty doc fun

doc: code.pdf 

code.pdf: code.tex noweb.sty
	pdflatex code.tex
	pdflatex code.tex

code.nw: $(PARTS)
	cat $(PARTS) > code.nw

code.tex: code.nw
	echo "library(noweb); noweave('code.nw')" | R  --slave

$(SFUN): code.nw
$(CFUN): code.nw
$(CFUN2): code.nw
$(RFUN): code.nw

.PHONY: fun clean doc all
fun: $(RFUN) $(CFUN2) noweb.sty

test: $(RFUN)
	echo $(RFUN)

%.R: 
	echo "# Automatically generated from the noweb directory" > $@
	echo "require(noweb); notangle('code.nw', target='$(*F)', out='zz')" | R  --slave
	cat zz >> $@
	rm zz

%.S: 
	echo "# Automatically generated from the noweb directory" > $@
	echo "require(noweb); notangle('code.nw', target='$(*F)', out='zz')" | R  --slave
	cat zz >> $@
	rm zz

%.c: 
	echo "/* Automatically generated from the noweb directory */" > $@
	echo "require(noweb); notangle('code.nw', target='$(*F)', out='zz')" | R  --slave
	cat zz >> $@
	rm zz

clean:
	-rm code.nw code.log code.aux code.toc code.tex code.bbl code.blg code.out
	-rm noweb.sty

noweb.sty:
	echo 'library(noweb); data(noweb); cat(noweb.sty, sep="\n", file="noweb.sty")' |  R  --slave

## survival 2.42-4

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Terry M Therneau <therneau.terry@mayo.edu>
 Priority: recommended
 Package: survival
-Version: 2.42-3.1
+Version: 2.42-4
 Depends: R (>= 2.13.0)
 Imports: graphics, Matrix, methods, splines, stats, utils
 LazyData: Yes
@@ -20,9 +20,9 @@
 License: LGPL (>= 2)
 URL: https://github.com/therneau/survival
 NeedsCompilation: yes
-Packaged: 2018-04-22 06:19:06 UTC; hornik
+Packaged: 2018-06-28 15:34:03 UTC; therneau
 Author: Terry M Therneau [aut, cre],
   Thomas Lumley [ctb, trl] (original S->R port and R maintainer until
     2009)
 Repository: CRAN
-Date/Publication: 2018-04-24 10:17:49 UTC
+Date/Publication: 2018-07-02 09:28:42 UTC

## survival 2.42-6

=== debian/changelog ===
survival (2.42-6-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 15 Jul 2018 15:52:28 -0500

survival (2.42-4-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 02 Jul 2018 18:15:43 -0500

survival (2.42-3-1.1) unstable; urgency=medium

  * (Inofficial) Rebuild for R 3.5.0

  * Manual override for ${R:Depends} while dh-r is looked at

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 28 Apr 2018 14:54:11 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.4.4), dh-r, r-cran-matrix
+Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.1), dh-r, r-cran-matrix
 Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-survival
 Vcs-Git: https://salsa.debian.org/edd/r-cran-survival.git
@@ -10,7 +10,7 @@
 
 Package: r-cran-survival
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-matrix
+Depends: ${R:Depends}, ${shlibs:Depends}, ${misc:Depends}, r-cran-matrix
 Replaces: r-recommended (<< 1.9.0)
 Description: GNU R package for survival analysis
  This package provides functions and datasets for survival analysis:

## survival 2.43

=== noweb/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PARTS = main.Rnw \
-	coxph.Rnw \
+	coxph2.Rnw \
 	exact.nw \
 	agreg.Rnw \
 	coxsurv.Rnw \
@@ -7,7 +7,9 @@
 	finegray.Rnw \
 	predict.coxph.Rnw \
 	concordance.Rnw \
+        survconcordance.Rnw \
 	survexp.Rnw \
+	parse.Rnw \
 	pyears.Rnw pyears2.Rnw \
 	residuals.survreg.Rnw \
 	survfit.Rnw \
@@ -23,9 +25,11 @@
 
 SFUN =  agreg.fit.R \
 	agsurv.R \
+        concordance.R \
 	coxph.R \
 	finegray.R \
 	model.matrix.coxph.R \
+	parsecovar.R \
 	plot.survfit.R \
 	predict.coxph.R \
 	pyears.R \
@@ -43,8 +47,9 @@
 	tmerge.R \
 	yates.R
 
-CFUN =  agsurv4.c agsurv5.c concordance1.c coxcount1.c \
-	agfit4.c \
+CFUN =  agfit4.c \
+        agsurv4.c agsurv5.c \
+        concordance1.c concordance3.c coxcount1.c \
         coxexact.c \
 	survfitci.c 
 #	coxdetail2.c

## survival 2.43-1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Terry M Therneau <therneau.terry@mayo.edu>
 Priority: recommended
 Package: survival
-Version: 2.42-4
+Version: 2.43-1
 Depends: R (>= 2.13.0)
 Imports: graphics, Matrix, methods, splines, stats, utils
 LazyData: Yes
@@ -20,9 +20,9 @@
 License: LGPL (>= 2)
 URL: https://github.com/therneau/survival
 NeedsCompilation: yes
-Packaged: 2018-06-28 15:34:03 UTC; therneau
+Packaged: 2018-10-29 12:49:42 UTC; therneau
 Author: Terry M Therneau [aut, cre],
   Thomas Lumley [ctb, trl] (original S->R port and R maintainer until
     2009)
 Repository: CRAN
-Date/Publication: 2018-07-02 09:28:42 UTC
+Date/Publication: 2018-10-29 19:20:03 UTC

=== noweb/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PARTS = main.Rnw \
-	coxph2.Rnw \
+	coxph.Rnw \
 	exact.nw \
 	agreg.Rnw \
 	coxsurv.Rnw \
@@ -9,7 +9,6 @@
 	concordance.Rnw \
         survconcordance.Rnw \
 	survexp.Rnw \
-	parse.Rnw \
 	pyears.Rnw pyears2.Rnw \
 	residuals.survreg.Rnw \
 	survfit.Rnw \
@@ -29,7 +28,6 @@
 	coxph.R \
 	finegray.R \
 	model.matrix.coxph.R \
-	parsecovar.R \
 	plot.survfit.R \
 	predict.coxph.R \
 	pyears.R \

=== debian/changelog ===
survival (2.43-1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 02 Nov 2018 17:37:40 -0500

## survival 2.43-3

=== debian/changelog ===
survival (2.43-3-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 29 Nov 2018 20:06:11 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.1), dh-r, r-cran-matrix
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-survival
 Vcs-Git: https://salsa.debian.org/edd/r-cran-survival.git
 Homepage: https://cran.r-project.org/package=survival

## survival 2.44-1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Maintainer: Terry M Therneau <therneau.terry@mayo.edu>
 Priority: recommended
 Package: survival
-Version: 2.43-1
+Version: 2.44-1
+Date: 2019-03-27
 Depends: R (>= 2.13.0)
 Imports: graphics, Matrix, methods, splines, stats, utils
 LazyData: Yes
@@ -20,9 +21,9 @@
 License: LGPL (>= 2)
 URL: https://github.com/therneau/survival
 NeedsCompilation: yes
-Packaged: 2018-10-29 12:49:42 UTC; therneau
+Packaged: 2019-03-29 11:36:00 UTC; therneau
 Author: Terry M Therneau [aut, cre],
   Thomas Lumley [ctb, trl] (original S->R port and R maintainer until
     2009)
 Repository: CRAN
-Date/Publication: 2018-10-29 19:20:03 UTC
+Date/Publication: 2019-03-30 16:30:03 UTC

## survival 2.44-1.1

=== debian/changelog ===
survival (2.44-1.1-2) unstable; urgency=medium

  * Source-only upload
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 18 Aug 2019 06:49:07 -0500

survival (2.44-1.1-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 01 Apr 2019 16:10:12 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.1), dh-r, r-cran-matrix
-Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r, r-cran-matrix
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-survival
 Vcs-Git: https://salsa.debian.org/edd/r-cran-survival.git
 Homepage: https://cran.r-project.org/package=survival

## survival 3.1-6

=== DESCRIPTION ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Maintainer: Terry M Therneau <therneau.terry@mayo.edu>
 Priority: recommended
 Package: survival
-Version: 2.44-1
-Date: 2019-03-27
-Depends: R (>= 2.13.0)
+Version: 3.1-6
+Date: 2019-11-05
+Depends: R (>= 3.4.0)
 Imports: graphics, Matrix, methods, splines, stats, utils
 LazyData: Yes
 LazyLoad: Yes
@@ -21,9 +21,9 @@
 License: LGPL (>= 2)
 URL: https://github.com/therneau/survival
 NeedsCompilation: yes
-Packaged: 2019-03-29 11:36:00 UTC; therneau
+Packaged: 2019-11-05 13:54:23 UTC; therneau
 Author: Terry M Therneau [aut, cre],
   Thomas Lumley [ctb, trl] (original S->R port and R maintainer until
     2009)
 Repository: CRAN
-Date/Publication: 2019-03-30 16:30:03 UTC
+Date/Publication: 2019-11-06 08:10:02 UTC

## survival 3.1-7

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Terry M Therneau <therneau.terry@mayo.edu>
 Priority: recommended
 Package: survival
-Version: 3.1-6
-Date: 2019-11-05
+Version: 3.1-7
+Date: 2019-11-08
 Depends: R (>= 3.4.0)
 Imports: graphics, Matrix, methods, splines, stats, utils
 LazyData: Yes
@@ -21,9 +21,9 @@
 License: LGPL (>= 2)
 URL: https://github.com/therneau/survival
 NeedsCompilation: yes
-Packaged: 2019-11-05 13:54:23 UTC; therneau
+Packaged: 2019-11-08 22:04:52 UTC; therneau
 Author: Terry M Therneau [aut, cre],
   Thomas Lumley [ctb, trl] (original S->R port and R maintainer until
     2009)
 Repository: CRAN
-Date/Publication: 2019-11-06 08:10:02 UTC
+Date/Publication: 2019-11-09 05:30:02 UTC

## survival 3.1-8

=== debian/changelog ===
survival (3.1-8-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 10 Dec 2019 09:47:53 -0600

survival (3.1-7-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 09 Nov 2019 17:28:27 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r, r-cran-matrix
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-survival
 Vcs-Git: https://salsa.debian.org/edd/r-cran-survival.git
 Homepage: https://cran.r-project.org/package=survival

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/survival_([-\d\.]*)\.tar.gz

## survival 3.1-11

=== DESCRIPTION ===
Title: Survival Analysis
Maintainer: Terry M Therneau <therneau.terry@mayo.edu>
Priority: recommended
Package: survival
Version: 3.1-11
Depends: R (>= 3.4.0)
Imports: graphics, Matrix, methods, splines, stats, utils
LazyData: Yes
LazyLoad: Yes
ByteCompile: Yes
Authors@R: c(person(c("Terry", "M"), "Therneau",
                    email="therneau.terry@mayo.edu",
	            role=c("aut", "cre")),
               person("Thomas", "Lumley", role=c("ctb", "trl"),
	       comment="original S->R port and R maintainer until 2009"),
	       person("Atkinson", "Elizabeth", role="ctb"),
	       person("Crowson", "Cynthia", role="ctb"))
Description: Contains the core survival analysis routines, including
	     definition of Surv objects, 
	     Kaplan-Meier and Aalen-Johansen (multi-state) curves, Cox models,
	     and parametric accelerated failure time models.
License: LGPL (>= 2)
URL: https://github.com/therneau/survival
NeedsCompilation: yes
Packaged: 2020-03-05 18:24:20 UTC; therneau
Author: Terry M Therneau [aut, cre],
  Thomas Lumley [ctb, trl] (original S->R port and R maintainer until
    2009),
  Atkinson Elizabeth [ctb],
  Crowson Cynthia [ctb]
Repository: CRAN
Date/Publication: 2020-03-07 12:10:03 UTC

## survival 3.1-12

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Terry M Therneau <therneau.terry@mayo.edu>
 Priority: recommended
 Package: survival
-Version: 3.1-11
+Version: 3.1-12
 Depends: R (>= 3.4.0)
 Imports: graphics, Matrix, methods, splines, stats, utils
 LazyData: Yes
@@ -22,11 +22,11 @@
 License: LGPL (>= 2)
 URL: https://github.com/therneau/survival
 NeedsCompilation: yes
-Packaged: 2020-03-05 18:24:20 UTC; therneau
+Packaged: 2020-04-02 17:45:14 UTC; therneau
 Author: Terry M Therneau [aut, cre],
   Thomas Lumley [ctb, trl] (original S->R port and R maintainer until
     2009),
   Atkinson Elizabeth [ctb],
   Crowson Cynthia [ctb]
 Repository: CRAN
-Date/Publication: 2020-03-07 12:10:03 UTC
+Date/Publication: 2020-04-10 08:20:02 UTC

=== debian/changelog ===
survival (3.1-12-1cran1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu Focal Fossa (development branch)

 -- Michael Rutter <marutter@gmail.com>  Thu, 16 Apr 2020 17:38:13 +0000

survival (3.1-12-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Fri, 10 Apr 2020 09:43:18 -0400

survival (3.1-8-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sat, 07 Dec 2019 08:56:48 -0500

survival (3.1-7-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sat, 09 Nov 2019 08:25:37 -0500

survival (3.1-11-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sat, 07 Mar 2020 13:35:14 -0500

survival (2.44-1.1-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sat, 06 Apr 2019 07:50:19 -0400

survival (2.43-3-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Wed, 28 Nov 2018 19:53:52 -0500

survival (2.43-1-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sat, 03 Nov 2018 11:11:31 -0400

survival (2.42-6-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sat, 14 Jul 2018 08:18:32 -0400

survival (2.42-4-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sat, 30 Jun 2018 07:45:39 -0400

survival (2.42-3-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sun, 22 Apr 2018 10:34:51 -0400

survival (2.41-3-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sat, 08 Apr 2017 10:11:47 -0400

survival (2.41-2-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sat, 18 Mar 2017 09:26:59 -0400

survival (2.40-1-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sun, 06 Nov 2016 14:05:01 -0500

survival (2.39-5-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Wed, 29 Jun 2016 07:43:49 -0400

survival (2.39-4-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sat, 14 May 2016 09:24:43 -0400

survival (2.39-3-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sat, 07 May 2016 08:42:20 -0400

survival (2.39-2-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sat, 16 Apr 2016 14:29:55 -0400

survival (2.38-3-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sun, 05 Jul 2015 21:26:08 -0400

survival (2.38-2-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sun, 14 Jun 2015 12:48:03 -0400

survival (2.38-1-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sat, 28 Feb 2015 21:06:29 -0500

survival (2.37-7-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sat, 25 Jan 2014 18:31:50 -0500

survival (2.37-6-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Fri, 17 Jan 2014 19:55:34 -0500

survival (2.37-4-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Thu, 28 Feb 2013 15:19:38 -0500

survival (2.37-2-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sun, 09 Dec 2012 12:13:11 -0500

survival (2.36-9-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sat, 18 Jun 2011 14:20:44 -0400

survival (2.36-14-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Thu, 26 Apr 2012 19:44:36 -0400

survival (2.36-12-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sun, 12 Feb 2012 19:29:04 -0500

survival (2.36-10-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Wed, 05 Oct 2011 19:48:17 -0400

## survival 3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Title: Survival Analysis
-Maintainer: Terry M Therneau <therneau.terry@mayo.edu>
 Priority: recommended
 Package: survival
-Version: 3.1-12
+Version: 3.2-7
+Date: 2020-09-24
 Depends: R (>= 3.4.0)
 Imports: graphics, Matrix, methods, splines, stats, utils
 LazyData: Yes
@@ -22,11 +22,12 @@
 License: LGPL (>= 2)
 URL: https://github.com/therneau/survival
 NeedsCompilation: yes
-Packaged: 2020-04-02 17:45:14 UTC; therneau
+Packaged: 2020-09-25 17:55:24 UTC; therneau
 Author: Terry M Therneau [aut, cre],
   Thomas Lumley [ctb, trl] (original S->R port and R maintainer until
     2009),
   Atkinson Elizabeth [ctb],
   Crowson Cynthia [ctb]
+Maintainer: Terry M Therneau <therneau.terry@mayo.edu>
 Repository: CRAN
-Date/Publication: 2020-04-10 08:20:02 UTC
+Date/Publication: 2020-09-28 08:20:02 UTC

## survival 3.2-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Title: Survival Analysis
+Maintainer: Terry M Therneau <therneau.terry@mayo.edu>
 Priority: recommended
 Package: survival
-Version: 3.2-7
-Date: 2020-09-24
+Version: 3.2-3
 Depends: R (>= 3.4.0)
 Imports: graphics, Matrix, methods, splines, stats, utils
 LazyData: Yes
@@ -22,12 +22,11 @@
 License: LGPL (>= 2)
 URL: https://github.com/therneau/survival
 NeedsCompilation: yes
-Packaged: 2020-09-25 17:55:24 UTC; therneau
+Packaged: 2020-06-12 13:23:40 UTC; therneau
 Author: Terry M Therneau [aut, cre],
   Thomas Lumley [ctb, trl] (original S->R port and R maintainer until
     2009),
   Atkinson Elizabeth [ctb],
   Crowson Cynthia [ctb]
-Maintainer: Terry M Therneau <therneau.terry@mayo.edu>
 Repository: CRAN
-Date/Publication: 2020-09-28 08:20:02 UTC
+Date/Publication: 2020-06-13 15:30:06 UTC

=== noweb/Makefile ===
PARTS = main.Rnw \
	coxph.Rnw \
	exact.nw \
	agreg.Rnw \
	coxsurv.Rnw \
	coxsurv2.Rnw \
	coxsurv3.Rnw \
	finegray.Rnw \
	predict.coxph.Rnw \
	concordance.Rnw \
	survexp.Rnw \
	parse.Rnw \
	pyears.Rnw pyears2.Rnw \
	residuals.survreg.Rnw \
	survfit.Rnw \
	survfitKM.Rnw \
	survfitCI.Rnw \
	msurv.nw \
	survfitms.Rnw \
	survexpm.Rnw\
	plot.Rnw \
	statefig.Rnw\
	tmerge.Rnw\
	yates.Rnw  yates2.Rnw\
	zph.Rnw \
	tail
#	coxdetail.nw

SFUN =  agreg.fit.R \
	agsurv.R \
        concordance.R \
	coxph.R \
	coxsurvfit.R \
	finegray.R \
	model.matrix.coxph.R \
	parsecovar.R \
	plot.survfit.R \
	predict.coxph.R \
	pyears.R \
	print.pyears.R \
	residuals.survreg.R\
	statefig.R \
	survexp.R \
	survexpm.R \
	survfit.R \
	survfitCI.R \
	survfitKM.R \
	survfit.coxph.R \
	survfit.coxphms.R \
	survfitms.R\
	tmerge.R \
	yates.R \
	cox.zph.R

CFUN =  agfit4.c \
        agsurv4.c agsurv5.c \
	cdecomp.c \
        concordance3.c coxcount1.c \
        coxexact.c \
	survfitci.c \
	survfitkm.c \
#	coxdetail2.c

RDIR = ../R
RFUN = $(SFUN:%=$(RDIR)/%)
CFUN2= $(CFUN:%=../src/%)
DOCDIR= ../inst/doc

all:  noweb.sty doc fun

doc: code.pdf 

code.pdf: code.tex noweb.sty
	pdflatex code.tex
	pdflatex code.tex

code.nw: $(PARTS)
	cat $(PARTS) > code.nw

code.tex: code.nw
	echo "library(noweb); noweave('code.nw')" | R  --slave

$(SFUN): code.nw
$(CFUN): code.nw
$(CFUN2): code.nw
$(RFUN): code.nw

.PHONY: fun clean doc all
fun: $(RFUN) $(CFUN2) noweb.sty

test: $(RFUN)
	echo $(RFUN)

%.R: 
	echo "# Automatically generated from the noweb directory" > $@
	echo "require(noweb); notangle('code.nw', target='$(*F)', out='z$(@F)')" | R  --slave
	cat z$(@F) >> $@
	rm z$(@F)

%.S: 
	echo "# Automatically generated from the noweb directory" > $@
	echo "require(noweb); notangle('code.nw', target='$(*F)', out='z$(@F)')" | R  --slave
	cat z$(@F) >> $@
	rm z$(@F)

%.c: 
	echo "/* Automatically generated from the noweb directory */" > $@
	echo "require(noweb); notangle('code.nw', target='$(*F)', out='z$(@F)')" | R  --slave
	cat z$(@F) >> $@
	rm z$(@F)

clean:
	-rm -f code.nw code.log code.aux code.toc code.tex code.bbl code.blg code.out
	-rm -f noweb.sty

noweb.sty:
	echo 'library(noweb); data(noweb); cat(noweb.sty, sep="\n", file="noweb.sty")' |  R  --slave

=== debian/changelog ===
survival (3.2-3-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 15 Jun 2020 07:03:45 -0500

survival (3.1-12-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 11 Apr 2020 10:37:04 -0500

survival (3.1-11-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 12 Mar 2020 12:54:01 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r, r-cran-matrix
-Standards-Version: 4.4.1
+Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.1), dh-r, r-cran-matrix
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-survival
 Vcs-Git: https://salsa.debian.org/edd/r-cran-survival.git
 Homepage: https://cran.r-project.org/package=survival

## survival 3.2-7

=== debian/changelog ===
survival (3.2-7-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 28 Sep 2020 07:47:16 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.1), dh-r, r-cran-matrix
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.2), dh-r, r-cran-matrix
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-survival
 Vcs-Git: https://salsa.debian.org/edd/r-cran-survival.git

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-survival package
# Copyright 2004 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## survival 3.2-9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Title: Survival Analysis
-Maintainer: Terry M Therneau <therneau.terry@mayo.edu>
 Priority: recommended
 Package: survival
-Version: 3.2-3
-Depends: R (>= 3.4.0)
+Version: 3.2-9
+Date: 2021-02-15
+Depends: R (>= 3.5.0)
 Imports: graphics, Matrix, methods, splines, stats, utils
 LazyData: Yes
-LazyLoad: Yes
+LazyDataCompression: xz
 ByteCompile: Yes
 Authors@R: c(person(c("Terry", "M"), "Therneau",
                     email="therneau.terry@mayo.edu",
@@ -22,11 +22,12 @@
 License: LGPL (>= 2)
 URL: https://github.com/therneau/survival
 NeedsCompilation: yes
-Packaged: 2020-06-12 13:23:40 UTC; therneau
+Packaged: 2021-03-05 17:25:16 UTC; therneau
 Author: Terry M Therneau [aut, cre],
   Thomas Lumley [ctb, trl] (original S->R port and R maintainer until
     2009),
   Atkinson Elizabeth [ctb],
   Crowson Cynthia [ctb]
+Maintainer: Terry M Therneau <therneau.terry@mayo.edu>
 Repository: CRAN
-Date/Publication: 2020-06-13 15:30:06 UTC
+Date/Publication: 2021-03-14 12:20:03 UTC

## survival 3.2-10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Title: Survival Analysis
 Priority: recommended
 Package: survival
-Version: 3.2-9
-Date: 2021-02-15
+Version: 3.2-10
+Date: 2021-03-15
 Depends: R (>= 3.5.0)
 Imports: graphics, Matrix, methods, splines, stats, utils
 LazyData: Yes
@@ -22,7 +22,7 @@
 License: LGPL (>= 2)
 URL: https://github.com/therneau/survival
 NeedsCompilation: yes
-Packaged: 2021-03-05 17:25:16 UTC; therneau
+Packaged: 2021-03-16 03:20:53 UTC; therneau
 Author: Terry M Therneau [aut, cre],
   Thomas Lumley [ctb, trl] (original S->R port and R maintainer until
     2009),
@@ -30,4 +30,4 @@
   Crowson Cynthia [ctb]
 Maintainer: Terry M Therneau <therneau.terry@mayo.edu>
 Repository: CRAN
-Date/Publication: 2021-03-14 12:20:03 UTC
+Date/Publication: 2021-03-16 13:20:02 UTC

=== debian/changelog ===
survival (3.2-10-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 16 Mar 2021 09:36:20 -0500

survival (3.2-9-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 14 Mar 2021 08:57:30 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.2), dh-r, r-cran-matrix
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.4), dh-r, r-cran-matrix
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-survival
 Vcs-Git: https://salsa.debian.org/edd/r-cran-survival.git
 Homepage: https://cran.r-project.org/package=survival

## survival 3.2-11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Title: Survival Analysis
 Priority: recommended
 Package: survival
-Version: 3.2-10
-Date: 2021-03-15
+Version: 3.2-11
+Date: 2021-04-25
 Depends: R (>= 3.5.0)
 Imports: graphics, Matrix, methods, splines, stats, utils
 LazyData: Yes
@@ -22,7 +22,7 @@
 License: LGPL (>= 2)
 URL: https://github.com/therneau/survival
 NeedsCompilation: yes
-Packaged: 2021-03-16 03:20:53 UTC; therneau
+Packaged: 2021-04-26 02:43:34 UTC; therneau
 Author: Terry M Therneau [aut, cre],
   Thomas Lumley [ctb, trl] (original S->R port and R maintainer until
     2009),
@@ -30,4 +30,4 @@
   Crowson Cynthia [ctb]
 Maintainer: Terry M Therneau <therneau.terry@mayo.edu>
 Repository: CRAN
-Date/Publication: 2021-03-16 13:20:02 UTC
+Date/Publication: 2021-04-26 06:30:02 UTC

=== debian/changelog ===
survival (3.2-11-1cran1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04.2 LTS

 -- Michael Rutter <marutter@gmail.com>  Thu, 06 May 2021 16:02:07 +0000

survival (3.2-11-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Tue, 27 Apr 2021 11:41:33 -0400

survival (3.2-9-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sun, 14 Mar 2021 09:43:34 -0400

survival (3.2-7-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Tue, 29 Sep 2020 10:08:14 -0400

survival (3.2-3-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sun, 14 Jun 2020 08:56:11 -0400

survival (3.2-10-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Tue, 16 Mar 2021 11:37:48 -0400

## survival 3.2-12

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Title: Survival Analysis
 Priority: recommended
 Package: survival
-Version: 3.2-11
-Date: 2021-04-25
+Version: 3.2-12
+Date: 2021-08-12
 Depends: R (>= 3.5.0)
 Imports: graphics, Matrix, methods, splines, stats, utils
 LazyData: Yes
@@ -22,7 +22,7 @@
 License: LGPL (>= 2)
 URL: https://github.com/therneau/survival
 NeedsCompilation: yes
-Packaged: 2021-04-26 02:43:34 UTC; therneau
+Packaged: 2021-08-12 11:39:57 UTC; therneau
 Author: Terry M Therneau [aut, cre],
   Thomas Lumley [ctb, trl] (original S->R port and R maintainer until
     2009),
@@ -30,4 +30,4 @@
   Crowson Cynthia [ctb]
 Maintainer: Terry M Therneau <therneau.terry@mayo.edu>
 Repository: CRAN
-Date/Publication: 2021-04-26 06:30:02 UTC
+Date/Publication: 2021-08-13 10:10:02 UTC

=== debian/changelog ===
survival (3.2-12-1cran1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04.2 LTS

 -- Michael Rutter <marutter@gmail.com>  Tue, 24 Aug 2021 18:10:36 +0000

survival (3.2-12-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Fri, 13 Aug 2021 14:17:49 -0400

=== debian/control ===
Source: survival
Section: gnu-r
Priority: optional
Maintainer: cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>
Build-Depends: r-base-dev, r-cran-matrix, xvfb, xauth, xfonts-base,
 r-base-core, debhelper (>> 4.1.0), cdbs
Standards-Version: 4.1.4
Homepage: https://github.com/therneau/survival

Package: r-cran-survival
Architecture: any
Depends: r-base-core, r-cran-matrix, ${shlibs:Depends}
Description: GNU R package "Survival Analysis"
 .
 Contains the core survival analysis routines, including definition of
 Surv objects, Kaplan-Meier and Aalen-Johansen (multi-state) curves,
 Cox models, and parametric accelerated failure time models.
 .
 Author: Terry M Therneau [aut, cre], Thomas Lumley [ctb, trl] (original
 S->R port and R maintainer until 2009), Atkinson Elizabeth [ctb],
 Crowson Cynthia [ctb]
 .
 Maintainer: Terry M Therneau <therneau.terry@mayo.edu>

## survival 3.2-13

=== debian/changelog ===
survival (3.2-13-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 24 Aug 2021 08:50:36 -0500

survival (3.2-12-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 18 Aug 2021 07:59:57 -0500

survival (3.2-11-2) unstable; urgency=medium

  * Simple rebuild for unstable following Debian 11 release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 17 Aug 2021 14:09:26 -0500

survival (3.2-11-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 05 May 2021 15:14:18 -0500

=== debian/control ===
Source: survival
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.1), dh-r, r-cran-matrix
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-survival
Vcs-Git: https://salsa.debian.org/edd/r-cran-survival.git
Homepage: https://cran.r-project.org/package=survival

Package: r-cran-survival
Architecture: any
Depends: ${R:Depends}, ${shlibs:Depends}, ${misc:Depends}, r-cran-matrix
Replaces: r-recommended (<< 1.9.0)
Description: GNU R package for survival analysis
 This package provides functions and datasets for survival analysis:
 descriptive statistics, two-sample tests, parametric accelerated failure 
 models, Cox model. Delayed entry (truncation) is allowed for all models; 
 interval censoring for parametric models.
 .
 This package is part of the set of packages that are 'recommended' 
 by R Core and shipped with upstream source releases of R itself.

## survival 3.3-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Title: Survival Analysis
 Priority: recommended
 Package: survival
-Version: 3.2-12
-Date: 2021-08-12
+Version: 3.3-0
+Date: 2022-02-20
 Depends: R (>= 3.5.0)
 Imports: graphics, Matrix, methods, splines, stats, utils
 LazyData: Yes
@@ -22,7 +22,7 @@
 License: LGPL (>= 2)
 URL: https://github.com/therneau/survival
 NeedsCompilation: yes
-Packaged: 2021-08-12 11:39:57 UTC; therneau
+Packaged: 2022-02-28 16:47:40 UTC; therneau
 Author: Terry M Therneau [aut, cre],
   Thomas Lumley [ctb, trl] (original S->R port and R maintainer until
     2009),
@@ -30,4 +30,4 @@
   Crowson Cynthia [ctb]
 Maintainer: Terry M Therneau <therneau.terry@mayo.edu>
 Repository: CRAN
-Date/Publication: 2021-08-13 10:10:02 UTC
+Date/Publication: 2022-03-01 18:10:02 UTC

## survival 3.4-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Title: Survival Analysis
 Priority: recommended
 Package: survival
-Version: 3.3-0
-Date: 2022-02-20
+Version: 3.4-0
+Date: 2022-07-31
 Depends: R (>= 3.5.0)
 Imports: graphics, Matrix, methods, splines, stats, utils
 LazyData: Yes
@@ -22,7 +22,7 @@
 License: LGPL (>= 2)
 URL: https://github.com/therneau/survival
 NeedsCompilation: yes
-Packaged: 2022-02-28 16:47:40 UTC; therneau
+Packaged: 2022-08-05 21:24:13 UTC; therneau
 Author: Terry M Therneau [aut, cre],
   Thomas Lumley [ctb, trl] (original S->R port and R maintainer until
     2009),
@@ -30,4 +30,4 @@
   Crowson Cynthia [ctb]
 Maintainer: Terry M Therneau <therneau.terry@mayo.edu>
 Repository: CRAN
-Date/Publication: 2022-03-01 18:10:02 UTC
+Date/Publication: 2022-08-09 14:10:18

=== debian/changelog ===
survival (3.4-0-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 09 Aug 2022 07:26:07 -0500

survival (3.3-1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 03 Mar 2022 10:32:19 -0600

survival (3.3-0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 01 Mar 2022 22:50:49 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.1), dh-r, r-cran-matrix
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r, r-cran-matrix
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-survival
 Vcs-Git: https://salsa.debian.org/edd/r-cran-survival.git
 Homepage: https://cran.r-project.org/package=survival

## survival 3.4-0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Title: Survival Analysis
 Priority: recommended
 Package: survival
-Version: 3.4-0
+Version: 3.4-0.1
 Date: 2022-07-31
 Depends: R (>= 3.5.0)
 Imports: graphics, Matrix, methods, splines, stats, utils
@@ -22,7 +22,7 @@
 License: LGPL (>= 2)
 URL: https://github.com/therneau/survival
 NeedsCompilation: yes
-Packaged: 2022-08-05 21:24:13 UTC; therneau
+Packaged: 2022-12-25 16:02:44 UTC; ripley
 Author: Terry M Therneau [aut, cre],
   Thomas Lumley [ctb, trl] (original S->R port and R maintainer until
     2009),
@@ -30,4 +30,4 @@
   Crowson Cynthia [ctb]
 Maintainer: Terry M Therneau <therneau.terry@mayo.edu>
 Repository: CRAN
-Date/Publication: 2022-08-09 14:10:18
+Date/Publication: 2023-01-03 12:08:03 UTC

## survival 3.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Title: Survival Analysis
 Priority: recommended
 Package: survival
-Version: 3.4-0.1
-Date: 2022-07-31
+Version: 3.5-8
+Date: 2024-02-13
 Depends: R (>= 3.5.0)
 Imports: graphics, Matrix, methods, splines, stats, utils
 LazyData: Yes
@@ -22,7 +22,7 @@
 License: LGPL (>= 2)
 URL: https://github.com/therneau/survival
 NeedsCompilation: yes
-Packaged: 2022-12-25 16:02:44 UTC; ripley
+Packaged: 2024-02-13 23:24:58 UTC; therneau
 Author: Terry M Therneau [aut, cre],
   Thomas Lumley [ctb, trl] (original S->R port and R maintainer until
     2009),
@@ -30,4 +30,4 @@
   Crowson Cynthia [ctb]
 Maintainer: Terry M Therneau <therneau.terry@mayo.edu>
 Repository: CRAN
-Date/Publication: 2023-01-03 12:08:03 UTC
+Date/Publication: 2024-02-14 10:20:23 UTC

=== noweb/Makefile ===
--- 
+++ 
@@ -11,6 +11,8 @@
 	survexp.Rnw \
 	parse.Rnw \
 	pyears.Rnw pyears2.Rnw \
+	residuals.survfit.Rnw \
+	residuals.survfit2.Rnw \
 	residuals.survreg.Rnw \
 	survfit.Rnw \
 	survfitKM.Rnw \
@@ -25,6 +27,7 @@
 	zph.Rnw \
 	tail
 #	coxdetail.nw
+#	residuals.survfit2.Rnw\
 
 SFUN =  agreg.fit.R \
 	agsurv.R \
@@ -38,6 +41,8 @@
 	predict.coxph.R \
 	pyears.R \
 	print.pyears.R \
+	residuals.survfit.R \
+	residuals.survfitcox.R \
 	residuals.survreg.R\
 	statefig.R \
 	survexp.R \
@@ -55,7 +60,7 @@
 CFUN =  agfit4.c \
         agsurv4.c agsurv5.c \
 	cdecomp.c \
-        concordance3.c coxcount1.c \
+        concordance3.c \
         coxexact.c \
 	survfitci.c \
 	survfitkm.c \

## survival 3.5-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Title: Survival Analysis
 Priority: recommended
 Package: survival
-Version: 3.5-8
-Date: 2024-02-13
+Version: 3.5-0
+Date: 2023-01-09
 Depends: R (>= 3.5.0)
 Imports: graphics, Matrix, methods, splines, stats, utils
 LazyData: Yes
@@ -22,7 +22,7 @@
 License: LGPL (>= 2)
 URL: https://github.com/therneau/survival
 NeedsCompilation: yes
-Packaged: 2024-02-13 23:24:58 UTC; therneau
+Packaged: 2023-01-09 14:20:59 UTC; therneau
 Author: Terry M Therneau [aut, cre],
   Thomas Lumley [ctb, trl] (original S->R port and R maintainer until
     2009),
@@ -30,4 +30,4 @@
   Crowson Cynthia [ctb]
 Maintainer: Terry M Therneau <therneau.terry@mayo.edu>
 Repository: CRAN
-Date/Publication: 2024-02-14 10:20:23 UTC
+Date/Publication: 2023-01-09 22:50:02 UTC

=== debian/changelog ===
survival (3.5-0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 09 Jan 2023 18:07:56 -0600
